Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Invoice
  • AmiliPay API Introduction
  • Industry Categories Reference
  • Webhooks Reference
  • Merchant
    • List all customers
      GET
    • Create customer
      POST
    • Retrieve customer
      GET
    • Update customer
      PUT
    • Create customer token
      POST
    • Retrieve pricing for a merchant
      GET
    • Update pricing for a merchant
      POST
    • List a customer's accepted agreements
      GET
  • User
    • List all users
      GET
    • Create user
      POST
    • Retrieve user
      GET
    • Update user
      PUT
    • Delete user
      DELETE
  • Onboarding
    • Create onboarding application
      POST
    • Retrieve onboarding application
      GET
    • Update onboarding application
      PUT
    • Delete onboarding application
      DELETE
    • Start processing onboarding
      POST
    • Delete onboarding shareholder
      DELETE
    • Create onboarding document
      POST
    • Retrieve onboarding document
      GET
    • Delete onboarding document
      DELETE
    • Retrieve available account agreements
      GET
    • Create onboarding agreement
      POST
    • Mark selected agreement as an accepted by the account
      POST
    • Retrieve a single agreement
      GET
    • Update onboarding agreement
      PUT
    • Deactivate agreement
      DELETE
  • Invoice
    • List all invoices
      GET
    • Create invoice
      POST
    • Retrieve invoice
      GET
    • Update invoice
      PUT
    • Delete invoice
      DELETE
    • Refund invoice
      POST
  • Transactions
    • Get invoice transactions
  • Payout
    • List all payouts
    • Retrieve payout
    • Retrieve payout details
  • Product lines classification
    • Upload a CSV file
    • Manually get processed CSV file path
    • Download a previously uploaded CSV file
  1. Invoice

Delete invoice

DELETE
/v1/invoices/{unique_id}
Deletes an invoice by unique_id. This removes the invoice from the collection and should only be used when the invoice is no longer needed. A partner token may delete its direct-child merchants' invoices, the same as it may create/update them - this is not merchant-only, and no 403 is returned for a partner caller. Paid invoices cannot be deleted (422). This is a soft delete (sets deleted_at/deactivated_at).

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Responses

🟢204
No Content
This response does not have a body.
🟠401
🟠404
🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE '/v1/invoices/XdY5BQoZwwDeROmWL7NUfLa3B5XHcQr1vZf0uyr42mkB6wVzF1' \
--header 'X-API-KEY: <api-key>'
Response Response Example
401 - response
{
    "message": "Account context required"
}
Modified at 2026-09-25 07:15:05
Previous
Update invoice
Next
Refund invoice
Built with